Skip to main content
PATCH
/
clusters
/
{clusterId}
Update a cluster
curl --request PATCH \
  --url https://api.ridergy.com/v1/clusters/{clusterId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '{
  "limitKw": 250
}'
{
  "clusterId": "clst_20260612_a1b2c3d4",
  "tenantUuid": "<string>",
  "name": "North Campus",
  "locationIds": [
    "3632155",
    "3632156"
  ],
  "limitKw": 200,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

Per-tenant API key. Tenant is derived from the key — never from the request.

Path Parameters

clusterId
string
required

Body

application/json
name
string
Example:

"North Campus"

limitKw
number | null

Set to null to remove the cluster cap.

Example:

250

locationIds
string[]
Minimum array length: 1
status
enum<string>
Available options:
ACTIVE,
INACTIVE

Response

Updated cluster

clusterId
string
Example:

"clst_20260612_a1b2c3d4"

tenantUuid
string
name
string
Example:

"North Campus"

locationIds
string[]
Example:
["3632155", "3632156"]
limitKw
number | null
Example:

200

status
enum<string>
Available options:
ACTIVE,
INACTIVE
createdAt
string<date-time>
updatedAt
string<date-time>